Skip to content

Update Contact

| View as Markdown

This API will update contact details of merchant in merchant’s assigned domain. We must pass airpay merchant id, username, password, secret key, sub domain, legal name, address, city, state, pin code, contact no and in request. If the request has valid details, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/singlepager/api/update
ParameterType ValueDescriptionValue Like
airpay_merchant_id requiredNumeric
(1-12)
Merchant Id1088
airpay_username requiredAlphanumeric
(1-50)
Merchant Usernameuserabc
airpay_password requiredAlphanumeric
(1-50)
Merchant Passwordpassabc
airpay_secret_key requiredAlphanumeric
(1-100)
Merchant Secret Key91f5evhk72f564430912508233b7r37562g2hps
subdomain optionalAlphanumeric
(1-100)
Domain name of the Merchant
eg. abc.nwpay.co.in
legal_name requiredAlphanumeric
(1-100)
Merchant Business legal nameABC
address optionalAlphanumeric
(1-100)
Merchant address
city optionalAlphanumeric
(1-50)
Merchant City
state optionalAlphanumeric
(1-50)
Merchant State
pincode optionalNumeric
(1-10)
Merchant Pincode
contact_no optionalNumeric
(1-10)
Merchant Contact Number
checksum requiredAlphanumeric
(1-100)
Checksum
hash_hmac(‘sha256’, airpay_merchant_id + airpay_username +legal_name,‘91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps’)
91f5evhk72f52t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
Result requiredTextResult message
Success - 200 (The transaction is success)
Transaction in Process - 211 (The transaction is processing)
Failed - 400 (The transaction is failed)
Dropped - 401 (The transaction will not register properly)
Cancel - 402 (payment that has not yet been processed)
Incomplete - 403 (Not recieved any call back from bank)
Bounced - 405 (The transaction has bounced)
No Records - 503 (There are no records found)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/singlepager/api/update' \
--header 'content-type: application/json' \
--header 'processor-key:91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'airpay_merchant_id=1088' \
--form 'airpay_username=userabc' \
--form 'airpay_password=passabc' \
--form 'airpay_secret_key=91f5evhk72f564430912508233b7r37562g2hps' \
--form 'subdomain=abc.nwpay.co.in' \
--form 'legal_name=' \
--form 'address=' \
--form 'city=' \
--form 'state=' \
--form 'pincode=' \
--form 'contact_no=' \
--form 'checksum=91f5evhk72f52t21k430912508233b7r37562g2hps'
HTTP/1.1 200 OK
{
"Result": "Success"
}
{
"SinglePager": {
"Errors": {
"10": "airpay Merchant Id Can Not Be Empty",
"11": "airpay Merchant Id Can Not Exceed Maximun 11 Characters",
"12": "airpay Username Can Not Be Empty",
"13": "airpay Username Can Not Exceed Maximun 11 Characters",
"14": "airpay Password Can Not Be Empty",
"15": "airpay Password Can Not Exceed Maximun 11 Characters",
"16": "airpay Secret Key Can Not Be Empty",
"17": "airpay Secret Key Can Not Exceed Maximun 11 Characters",
"00": "Header Aunthentication Failed, Invalid Content-Type",
"01": "Header Aunthentication Failed, airpay-Key Can Not Be Empty",
"02": "Header Aunthentication Failed, Invalid airpay-Key",
"03": "Invalid Request",
"04": "Checksum cannot be empty",
"05": "Wrong Checksum",
"06": "Invalid Subdomain",
"07": "Subdomain Can Not Exceed Maximun 80 Characters",
"08": "Business legal name cannot be empty",
"09": "Business legal name is Invalid"
}
},
"Result": "Fail"
}